# Uses of Interface
java.util.concurrent.locks.ReadWriteLock

Packages that use ReadWriteLock
Package
Description
java.util.concurrent.locks
Interfaces and classes providing a framework for locking and waiting for conditions that is distinct from built-in synchronization and monitors.

## Uses of ReadWriteLock in java.util.concurrent.locks

Classes in java.util.concurrent.locks that implement ReadWriteLock
Modifier and Type
Class
Description
`class`
`ReentrantReadWriteLock`
An implementation of `ReadWriteLock` supporting similar semantics to `ReentrantLock`.
Methods in java.util.concurrent.locks that return ReadWriteLock
Modifier and Type
Method
Description
`ReadWriteLock`
StampedLock.`asReadWriteLock()`
Returns a `ReadWriteLock` view of this StampedLock in which the `readLock()` method is mapped to `StampedLock.asReadLock()`, and `writeLock()` to `StampedLock.asWriteLock()`.